int make_integer(int n) {
  int i;
  i = make_vector_core(1, INTEGERSUBTYPE);
  Mvecset(i, 1, n);
  return i;
}

int list_length(int x) {
  int n;
  n = 0;
  while (Mnotnull(x)) {
    n = n + 1;
    x = Mcdr(x);
  }
  return n;
}

int length_integer(int x) {
  return make_integer(list_length(x));
}
